XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual

# XSLTProcessor::setParameter

(PHP 5)

XSLTProcessor::setParameter — Define um valor para um parâmetro

### Descrição

bool setParameter ( string `$namespace` , string `$name` , string `$value` )
bool setParameter ( string `$namespace` , array `$options` )

Define o valor para um ou mais parâmetros para ser usados na transformação com o XSLTProcessor. Se o parâmetro não existe no stylesheet ele será ignorado.

### Parâmetros

`namespace`

  O namespace URI do parâmetro XSLT.

`name`

  O nome local do parâmetro XSLT.

`value`

  O novo valor do parâmetro XSLT.

`options`

  Um array de pares name => value. A sintaxe é disponível desde o PHP 5.1.0.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha.

### Exemplos

Exemplo #1 Modificando antes da transformação

`<?php
$collections = array(
'Marc Rutkowski' => 'marc',
'Olivier Parmentier' => 'olivier'
);
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Configure the transformer
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attach the xsl rules
foreach ($collections as $name => $file) {
// Load the XML source
$xml = new DOMDocument;
$xml->load('collection_' . $file . '.xml');
$proc->setParameter('', 'owner', $name);
$proc->transformToURI($xml, 'file:///tmp/' . $file . '.html');
}
?>`

### Veja Também

- XSLTProcessor::getParameter() - Obtém o valor de um parâmetro
- XSLTProcessor::removeParameter() - Remove parâmetro

XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual